package com.storlead.sales.service;

import com.storlead.sales.pojo.vo.report.BroadcastCompanyVO;
import com.storlead.sales.pojo.vo.report.BroadcastPersonVO;

import java.util.Set;

public interface BroadcastMessageService {

    // 总公司消息
    void sendCompanyDataReportMessages(Integer type,String messageEventCode, Set<Long> toUserIds,BroadcastCompanyVO companyVO);

    // 分公司消息
    void sendBranchDataReportMessages(Integer type, String messageEventCode, Set<Long> toUserIds, BroadcastCompanyVO companyVO);

    // 部门消息
    void sendDeptDataReportMessages(Integer type,String messageEventCode, Set<Long> toUserIds,BroadcastPersonVO personVO);

    // 个人消息
    void sendPersonalDataReportMessages(Integer type, String messageEventCode, Set<Long> toUserIds, BroadcastPersonVO personVO);
}
